Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007907opensim[MISC] Compiling / Buildingpublic2016-05-13 15:112016-12-13 14:33
ReporterSnoots Dwagon 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0007907: Large-primcount items create long delay in right-click editing
DescriptionWhen editing large-primcount items, right clicking and editing results in an extremely long delay before the edit box becomes active.

Oddly, if focus is instead shifted from a low-prim item to the large-count item, editing becomes immediately available. This is 100% reproducible.

Steps To Reproduce* Create an item of say, 900 prims, and link it all together.
* Remove focus from that item (exit the edit box).
* right click and edit the item. It takes an excessively long period for the edit box to become functional.

* Now rez a single prim nearby.
* Right click and edit the single prim. It is immediately editable.
* Without exiting the edit box, shift focus to the 900 prim object.

Result: Editing of the 900 prim object is IMMEDIATE, as it should be. There is no delay in function of the Edit box.

This points to a serious bottleneck issue-- in this case though one that can be bypassed if the above trick is known (thus not "urgent"... just major to those who don't know the trick).

Since a large-primcount object can be immediately edited by shifting from a smaller object, it should also be immediately editable from a right click. It's not-- indicating the editing process enters from a separate logic path. The direct right-click path contains the bottleneck, the shift-focus path does not.
 
Additional InformationThere is conceivable possibility this issue is in some way related to:


0007904: Slow Object CONTENTS loading blocks building

Reason: both issues manifest in similar manners, during the process of building. There could or could not be direct causal relationship. Just guessing at this point due to visible similar activity when editing.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBulletSim
Script Engine
EnvironmentUnknown
Mono VersionNone
ViewerAll including latest FS
Attached Files

- Relationships
related to 0007904new Slow Object CONTENTS loading blocks building 
related to 0007922new Contents of prims fail to load when edited 

-  Notes
(0030483)
Snoots Dwagon (viewer)
2016-06-12 21:33
edited on: 2016-06-12 21:36

I am emphasizing the severity of MAJOR in this issue. It has been verified that this error not only impacts the object itself, but the region, evidently causing the server to focus excessively on the object being accessed while actions on other parts of the sim are delayed (quite similar to when someone teleports into a region).

In addition, it can also cause a "cold crash" of the viewer, in which the avatar still appears to be able to move around, but cannot interact with any items. Scripts will not work, doors will not open, chat will not work. When the cold crash is recognized and attempt is made to log out, all communication has been lost between the server and viewer and the viewer refuses to close. It has to be closed via hard shutdown.

This an an excessively problematic issue for builders, designers and scripters.

(0030809)
UbitUmarov (administrator)
2016-06-28 03:27

this is not related to prim contents

this happens because how viewers do selection.
they send it prim by prim not by linksets and so it does scales up very badly with the number of prims.
to make things worse, you may see prims as selected and they are not.
remember SL as a limit on number of prims on a linkset and viewers are made for it.
(0031431)
christy lock (reporter)
2016-12-12 12:39

Okay as I mentioned elsewhere this problem does not happen if running in standalone mode. Simply changing to and external Ip in the region.ini and standalonecommon.ini and the problem returns. I also noticed some else today.

If the object with large numbers of items and scripts etc is attached to your avatar then it loads fast again. In fact Im using that as a work around to build and edit objects with 100 items in them.
(0031432)
Snoots Dwagon (viewer)
2016-12-12 16:52
edited on: 2016-12-12 16:59

" Simply changing to and external Ip in the region.ini and standalonecommon.ini and the problem returns. I also noticed some else today."

I don't understand what this means Christy. Could you explain further? Thanks.

As a reminder to all: the purpose of bug reporting is to make devs aware of an existing problem-- regardless of where it exists.

This is a serious problem that affects all of OpenSim-- and places it in the category of "sloppy software" in the minds of experienced computer gamers.

I say this because as mentioned before: Inworldz has already fixed this problem. They fixed it years ago, regardless of the Viewer being used. They looked into the problem, they figured out a solution, they fixed it.

How long has this MAJOR issue been on here now... and thus far we've seen no final fix, nor even progress in the matter. The whole purpose of this thing is not to make excuses; it is to identify, replicate, locate and SOLVE major OpenSim issues.

I am not a dev. I know this is all volunteer work. I know nobody is being paid for this, that personal time is limited, and I understand that dev work is a generally thankless job. But if someone takes on that task, the idea is to do it well.

I will repeat: Inworldz located and FIXED this problem. It is therefore obviously not Viewer related. It is evidently fixable. If someone needs to contact Inworldz and kindly ask them how they fixed this-- I'd say that after years of this being a major issue... might be worth the effort. ; )

Scuse me for being frank, but I worked in the computer field professionally for some 35 years and I had little tolerance for "can't be done" or "it's software not hardware" (or vice versa). My mode of operation was "It can be done and we will GET it done one way or another." I can honestly say that in that entire 35 years there was no problem that remained un-solved. The difference between problems and solutions is primarily "never give up, never quit" attitude. It's getting the job done, never making or accepting excuses or claims that it can't be done or that someone else needs to do it.

I'm retired. I'm no longer a software engineer. But for those who are and for those who have volunteered their time to help this community: this is a big one. It's almost as big and important as the texture cache issue (which imo is the biggest problem in all of VR... and still isn't solved to this day). So since this is a big problem, look at the date this issue was filed and let's ask ourselves why this isn't in the FIXED AND RESOLVED bin by now.

In short: one of the devs somewhere (or a team of them) needs to tackle this and fix it. We need the same attitude as the Army Corps of Engineers: Nothing is too difficult. The impossible just takes a bit longer.

(0031435)
UbitUmarov (administrator)
2016-12-13 08:49

Snoots no comments..
(0031436)
Snoots Dwagon (viewer)
2016-12-13 09:48
edited on: 2016-12-13 09:50

Understood Ubit... but with all respect, simply reporting the problem didn't seem to be getting it fixed. Thus the comment; just trying to light a fire under this major bug issue.

(0031437)
UbitUmarov (administrator)
2016-12-13 11:00

the issue was not closed by us, and there where code changes on that path.
but it always will be SLOW and will scale badly with number of prims on a linkset
And it was the second time you told us to go beg for help to other people, next time you may get a unpleasant answer...
(0031439)
Snoots Dwagon (viewer)
2016-12-13 13:04
edited on: 2016-12-13 13:17

No, there won't be a next time. I'm done with this JIRA. How many years has OpenSim been online and the code is still rubbish? You had an entire GRID crash and remain offline for months. Yet you chide people who are doing no more than pointing out where to get a possible solution to a major problem? Bye bye.

(0031441)
BillBlight (developer)
2016-12-13 14:33

This problem can easily be worked around...

Simply open the build tool first, and select the "select tool" and grab the object, instant editing ...

- Issue History
Date Modified Username Field Change
2016-05-13 15:11 Snoots Dwagon New Issue
2016-06-12 21:33 Snoots Dwagon Note Added: 0030483
2016-06-12 21:35 Snoots Dwagon Note Edited: 0030483 View Revisions
2016-06-12 21:36 Snoots Dwagon Note Edited: 0030483 View Revisions
2016-06-21 09:51 Diva Relationship added related to 0007904
2016-06-21 09:52 Diva Relationship added related to 0007922
2016-06-28 03:27 UbitUmarov Note Added: 0030809
2016-12-12 12:39 christy lock Note Added: 0031431
2016-12-12 16:52 Snoots Dwagon Note Added: 0031432
2016-12-12 16:52 Snoots Dwagon Note Edited: 0031432 View Revisions
2016-12-12 16:53 Snoots Dwagon Note Edited: 0031432 View Revisions
2016-12-12 16:54 Snoots Dwagon Note Edited: 0031432 View Revisions
2016-12-12 16:58 Snoots Dwagon Note Edited: 0031432 View Revisions
2016-12-12 16:59 Snoots Dwagon Note Edited: 0031432 View Revisions
2016-12-13 08:49 UbitUmarov Note Added: 0031435
2016-12-13 09:48 Snoots Dwagon Note Added: 0031436
2016-12-13 09:49 Snoots Dwagon Note Edited: 0031436 View Revisions
2016-12-13 09:50 Snoots Dwagon Note Edited: 0031436 View Revisions
2016-12-13 09:50 Snoots Dwagon Note Edited: 0031436 View Revisions
2016-12-13 11:00 UbitUmarov Note Added: 0031437
2016-12-13 13:04 Snoots Dwagon Note Added: 0031439
2016-12-13 13:07 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:09 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:09 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:10 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:11 nebadon Note View State: 0031439: private
2016-12-13 13:11 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:12 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:13 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:13 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:14 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:15 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:15 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:16 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:17 Snoots Dwagon Note Edited: 0031439 View Revisions
2016-12-13 13:18 Snoots Dwagon Note View State: 0031439: public
2016-12-13 14:33 BillBlight Note Added: 0031441


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker